summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 6be9351)
raw | patch | inline | side by side (parent: 6be9351)
author | Eric Wong <normalperson@yhbt.net> | |
Sat, 23 Dec 2006 16:26:09 +0000 (08:26 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 23 Dec 2006 17:22:30 +0000 (09:22 -0800) |
This adds and uses the install-doc-quick.sh file to
Documentation/, which is usable for people who track either the
'html' or 'man' heads in Junio's repository (prefixed with
'origin/' if cloned locally). You may override this by
specifying DOC_REF in the make environment or in config.mak.
GZ may also be set in the environment (or config.mak) if you
wish to gzip the documentation after installing it.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Documentation/, which is usable for people who track either the
'html' or 'man' heads in Junio's repository (prefixed with
'origin/' if cloned locally). You may override this by
specifying DOC_REF in the make environment or in config.mak.
GZ may also be set in the environment (or config.mak) if you
wish to gzip the documentation after installing it.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Documentation/Makefile | patch | blob | history | |
Documentation/install-doc-quick.sh | [new file with mode: 0755] | patch | blob |
Makefile | patch | blob | history |
diff --git a/Documentation/Makefile b/Documentation/Makefile
index d68bc4a788743412719b3590487ec6dc7efee3e1..93c7024b481157ca44dc40e844fa279616a03b3d 100644 (file)
--- a/Documentation/Makefile
+++ b/Documentation/Makefile
# DESTDIR=
INSTALL?=install
+DOC_REF = origin/man
-include ../config.mak.autogen
install-webdoc : html
sh ./install-webdoc.sh $(WEBDOC_DEST)
+
+quick-install:
+ sh ./install-doc-quick.sh $(DOC_REF) $(mandir)
diff --git a/Documentation/install-doc-quick.sh b/Documentation/install-doc-quick.sh
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/sh
+# This requires a branch named in $head
+# (usually 'man' or 'html', provided by the git.git repository)
+set -e
+head="$1"
+mandir="$2"
+SUBDIRECTORY_OK=t
+USAGE='<refname> <target directory>'
+. git-sh-setup
+export GIT_DIR
+
+test -z "$mandir" && usage
+if ! git-rev-parse --verify "$head^0" >/dev/null; then
+ echo >&2 "head: $head does not exist in the current repository"
+ usage
+fi
+
+GIT_INDEX_FILE=`pwd`/.quick-doc.index
+export GIT_INDEX_FILE
+rm -f "$GIT_INDEX_FILE"
+git-read-tree $head
+git-checkout-index -a -f --prefix="$mandir"/
+
+if test -n "$GZ"; then
+ cd "$mandir"
+ for i in `git-ls-tree -r --name-only $head`
+ do
+ gzip < $i > $i.gz && rm $i
+ done
+fi
+rm -f "$GIT_INDEX_FILE"
diff --git a/Makefile b/Makefile
index 4362297e00d642502f92dc1f4d88dfb727464edd..ebc1a17e701beb5edbb03bc94cad368424e6bc7b 100644 (file)
--- a/Makefile
+++ b/Makefile
install-doc:
$(MAKE) -C Documentation install
+quick-install-doc:
+ $(MAKE) -C Documentation quick-install